local colors = require 'modules.setup.colors'
local settings = require 'modules.setup.settings'
local utils = require 'modules.setup.utils'

local itemmixins = {}
-----------------------------------------------------------
-- prefixes
-----------------------------------------------------------
local p = {
  {name = 'Flaming', type = 'Fire'},
  {name = 'Icy', type = 'Ice'},
  {name = 'Holy', type = 'Light'},
  {name = 'Sacred', type = 'Light'},
  {name = 'Unholy', type = 'Dark'},
  {name = 'Profane', type = 'Dark'}
}

-----------------------------------------------------------
-- suffixes
-----------------------------------------------------------
local s = {
  {name = 'of the Newt', type = 'Fire'},
  {name = 'of Embers', type = 'Fire'},
  {name = 'of Ice', type = 'Ice'},
  {name = 'of Frost', type = 'Ice'},
  {name = 'of Order', type = 'Light'},
  {name = 'of Law', type = 'Light'},
  {name = 'of Evil', type = 'Dark'},
  {name = 'of Chaos', type = 'Dark'}
}
-----------------------------------------------------------
-- food prefixes
-----------------------------------------------------------
local fp = {
  'Tasty', 'Toasted', 'Roasted', 'Savory', 'Sugary', 'Artisan',
  'Flavorful', 'Pickled', 'Candied', 'Buttered'
}

itemmixins.prefixes = p
itemmixins.suffixes = s
itemmixins.foodprefixes = fp
return itemmixins
